import { ElementRef, NgZone } from '@angular/core';
import { StepperComponent as StepperComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class StepperComponent {
    protected elementRef: ElementRef<StepperComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-stepper element. */
    readonly nativeElement: StepperComponentCustomElement;
    /** The step configurations. */
    set steps(value: StepperComponentCustomElement['steps']);
    get steps(): StepperComponentCustomElement['steps'];
    /** The active step index. */
    set selectedIndex(value: StepperComponentCustomElement['selectedIndex']);
    get selectedIndex(): StepperComponentCustomElement['selectedIndex'];
    /** Whether the stepper is linear or non-linear. */
    set linear(value: StepperComponentCustomElement['linear']);
    get linear(): StepperComponentCustomElement['linear'];
    /** Whether the stepper uses the default or alternative label layout mode. */
    set alternative(value: StepperComponentCustomElement['alternative']);
    get alternative(): StepperComponentCustomElement['alternative'];
    /** The layout mode of the stepper. */
    set layoutMode(value: StepperComponentCustomElement['layoutMode']);
    get layoutMode(): StepperComponentCustomElement['layoutMode'];
    /** The layout alignment of the stepper. */
    set layoutAlign(value: StepperComponentCustomElement['layoutAlign']);
    get layoutAlign(): StepperComponentCustomElement['layoutAlign'];
    /** Whether the stepper is disabled. */
    set disabled(value: StepperComponentCustomElement['disabled']);
    get disabled(): StepperComponentCustomElement['disabled'];
    /** Whether the stepper is vertical. */
    set vertical(value: StepperComponentCustomElement['vertical']);
    get vertical(): StepperComponentCustomElement['vertical'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepperComponent, "forge-stepper", never, { "steps": { "alias": "steps"; "required": false; }; "selectedIndex": { "alias": "selectedIndex"; "required": false; }; "linear": { "alias": "linear"; "required": false; }; "alternative": { "alias": "alternative"; "required": false; }; "layoutMode": { "alias": "layoutMode"; "required": false; }; "layoutAlign": { "alias": "layoutAlign"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_selectedIndex: unknown;
    static ngAcceptInputType_linear: unknown;
    static ngAcceptInputType_alternative: unknown;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_vertical: unknown;
}
